# List status options

Retrieves a list of all status options.

Endpoint: GET /status_options
Version: v1
Security: AuthToken

## Query parameters:

  - `with_deleted` (boolean)
    If set to true, includes status options that have been deleted.
    Example: true

  - `page` (integer)
    The page number to retrieve.

  - `per_page` (integer)
    The number of items to return per page.

## Response 200 fields (application/json):

  - `data` (array)

  - `data.id` (integer, required)
    The unique identifier for the status option.

  - `data.color` (string, required)
    The color of the status option.
    Enum: "blue_bright", "blue_dark", "green_bright", "green_dark", "yellow", "orange", "red", "purple", "gray"

  - `data.label` (string, required)
    The label for the status option.
    Example: "On Track"

  - `data.stage` (string, required)
    The stage of the status option.
    Enum: "planned", "in_progress", "done"

  - `data.order` (number, required)
    A float number used for sorting.
    Example: 100

  - `data.created_at` (string)
    The time of creation.

  - `data.updated_at` (string)
    The time of the last update.

  - `data.deleted_at` (string,null)
    The time the status option was deleted.

  - `paging` (object)

  - `paging.per_page` (integer)
    The maximum number of items to show per response page.
    Example: 100

  - `paging.page` (integer)
    The current response page number.
    Example: 1

  - `paging.previous` (string,null)
    If you're on the first page, this value is null; otherwise the value is the path and query parameters to get the previous page of items.
    Example: "/api/v1/users?per_page=1000&page=1"

  - `paging.self` (string)
    The path and query parameters to get the current page of items.
    Example: "/api/v1/users?per_page=1000&page=2"

  - `paging.next` (string,null)
    If there are more items, this value is the path and query parameters to get the next page of items; otherwise, it's null.
    Example: "/api/v1/users?per_page=1000&page=3"

  - `paging.count` (integer,null)
    The total number of items in all the pages.


